# eric3.Debugger.EditWatchpointDialog

Module implementing a dialog to edit watchpoint properties.

### Classes

EditWatchpointDialog | Class implementing a dialog to edit watchpoint properties.

### Functions

None

## EditWatchpointDialog

Class implementing a dialog to edit watchpoint properties.

### Derived from

EditWatchpointForm

### Methods

EditWatchpointDialog | Constructor
getData | Public method to retrieve the entered data.
handleTextChanged | Private slot to handle the text changed signal of the condition line edit.

### EditWatchpointDialog (Constructor)

EditWatchpointDialog(properties, parent = None, name = None, modal = 0, fl = 0)

Constructor

properties
  properties for the watchpoint (tuple) (condition, temporary flag, enabled flag, ignore count)
parent
  the parent of this dialog
name
  the widget name of this dialog
modal
  flag indicating a modal dialog
fl
  the window flags

### EditWatchpointDialog.getData

getData()

Public method to retrieve the entered data.

Returns:
  a tuple containing the watchpoints new properties (condition, temporary flag, enabled flag, ignore count)

### EditWatchpointDialog.handleTextChanged

handleTextChanged(txt)

Private slot to handle the text changed signal of the condition line edit.

txt
  text of the line edit (QString)

Up